package com.zcloud.basic.info.domain.enums;

import lombok.Getter;

/**
 * 审批状态，1-待审批, 2-通过,3-驳回
 */
@Getter
public enum UserChangeRecordStatusEnum {
    /**
     * 枚举值
     */
    PENDING(1, "待审批"),
    APPROVED(2, "通过"),
    REJECTED(3, "驳回"),
    ;
    private final Integer code;
    private final String desc;

    UserChangeRecordStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
